cURL
curl --request POST \ --url https://api.runflow.io/v1/flows/{flow_id}/nodes/{flow_node_id}/inputs \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "variable_type_code": "<string>", "display_name": "<string>", "validator_code": "<string>", "validator_attrs": {}, "is_required": true, "default_value": {}, "sort_order": 0, "behavior_code": "<string>", "value": {}, "source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "connection_label": "<string>", "connection_style_code": "<string>", "retry_source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } '
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "display_name": "<string>", "variable_type_code": "<string>", "validator_code": "<string>", "validator_attrs": {}, "is_required": true, "default_value": {}, "sort_order": 123, "behavior_code": "<string>", "value": {}, "source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "connection_label": "<string>", "connection_style_code": "<string>", "retry_source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
Create a new flow node input.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Flow ID
Flow Node ID
POST body.
The created flow node input.
Response shape.